global:
  env: dev
  ownerAccess: true
  services:
    merge-priority-manager:
      replicaCount: 2
      ingress:
        host: priority-manager-dev.zooxlabs.com
      env:
        MERGE_PRIORITY_MANAGER__POSTGRES__HOST:
          valueFrom:
            secretKeyRef:
              name: postgresql-rds
              key: ENDPOINT_ADDRESS
        MERGE_PRIORITY_MANAGER__POSTGRES__PASSWORD:
          valueFrom:
            secretKeyRef:
              name: postgresql-rds
              key: MASTER_PASSWORD
        MERGE_PRIORITY_MANAGER__POSTGRES__PORT:
          valueFrom:
            secretKeyRef:
              name: postgresql-rds
              key: PORT
    merge-conflict-check-daemon:
      replicaCount: 2
      env:
        MERGE_CONFLICT_CHECK_DAEMON__CONFLICT_HANDLER__ENV:
          value: "dev"
    priority-frontend:
      ingress:
        host: priority-dev.zooxlabs.com

ci-pipeline:
  enabled: true

sqs-sns:
  enabled: true

rds:
  create: true
  AccessCidr: "10.3.0.0/12"
  CidrBlocks: "10.5.130.0/28,10.5.130.16/28"

init-dbs:
  env:
    DB_NAMES:
      value: "merge_priority_manager"
    ENDPOINT_ADDRESS:
      valueFrom:
        secretKeyRef:
          name: postgresql-rds
          key: ENDPOINT_ADDRESS
    MASTER_PASSWORD:
      valueFrom:
        secretKeyRef:
          name: postgresql-rds
          key: MASTER_PASSWORD
    MASTER_USERNAME:
      valueFrom:
        secretKeyRef:
          name: postgresql-rds
          key: MASTER_USERNAME
    PORT:
      valueFrom:
        secretKeyRef:
          name: postgresql-rds
          key: PORT
    DB_NAME:
      valueFrom:
        secretKeyRef:
          name: postgresql-rds
          key: DB_NAME
